Support Center

System Requirements

Last Updated: Jul 13, 2017 02:43PM BST
The requirements for the Readly App are on an usual level and are the same as most currently used devices, so your device should be compatible probably.

iOS (Apple) Version 7.x

Android Version 4.x

Kindle Fire 4.x

Readly on Browser

PC Windows 7
Apple Mac


Whether you use an Internet Explorer, a Mozilla Firefox, a Google Chrome or any other browser does not matter.

Contact Us




support@readly.com
http://assets0.desk.com/
false
readlyInt
Loading
seconds ago
a minute ago
minutes ago
an hour ago
hours ago
a day ago
days ago
about
false
Invalid characters found
/customer/en/portal/articles/autocomplete

©  Readly


Customer service software powered by Desk.com